local DVOTAlphaTimer

local DQTFrame=CreateFrame("Frame", "DQTFrame", UIParent)
	DQTFrame:RegisterEvent("PLAYER_LOGIN") 
	-- DQTFrame:RegisterEvent("QUEST_LOG_UPDATE") -- Updates too often so DQF never fades.
	DQTFrame:RegisterEvent("QUEST_WATCH_UPDATE")
	DQTFrame:RegisterEvent("SUPER_TRACKED_QUEST_CHANGED")
	DQTFrame:RegisterEvent("QUEST_WATCH_LIST_CHANGED") 
	DQTFrame:RegisterEvent("UNIT_QUEST_LOG_CHANGED")
	DQTFrame:RegisterEvent("QUEST_ACCEPTED")
	DQTFrame:RegisterEvent("QUEST_FINISHED") 
	DQTFrame:RegisterEvent("QUEST_COMPLETE") 
	DQTFrame:RegisterEvent("QUEST_TURNED_IN") 
	DQTFrame:RegisterEvent("QUEST_REMOVED")
	DQTFrame:RegisterEvent("QUEST_DETAIL")
	DQTFrame:RegisterEvent("QUEST_POI_UPDATE")
	-- DQTFrame:RegisterEvent("CRITERIA_UPDATE") -- Updates often for dialogue that doesn't actually change the quest log.
	DQTFrame:RegisterEvent("QUESTLINE_UPDATE")
	DQTFrame:SetClampedToScreen(true)
	DQTFrame:SetMovable(true)
	DQTFrame:EnableMouse(true)
	DQTFrame:RegisterForDrag("LeftButton")
	DQTFrame:SetPoint("TOPRIGHT",ObjectiveTrackerBlocksFrame.QuestHeader,"TOPRIGHT",0,4)
	DQTFrame:SetWidth(25)
	DQTFrame:SetHeight(25)
	DQTFrame:Show()
	
	
	-- local t=DQTFrame:CreateTexture(nil,"ARTWORK")
	-- t:SetAllPoints(DQTFrame)
	-- t:SetColorTexture(0, 192, 255, 0.7)
	
	ObjectiveTrackerFrame.HeaderMenu.MinimizeButton:SetParent(DQTFrame)

local function showDVBB(self)
	UIFrameFadeOut(DQTFrame, 0.00, 1.0, 1.0)
	if DVOTAlphaTimer then DVOTAlphaTimer:Cancel() end
	UIFrameFadeOut(ObjectiveTrackerFrame, 0.00, 1.0, 1.0)
end

local function delayHideDVBB(self)
	UIFrameFadeOut(DQTFrame, 0.50, 1.0, 0.5)
	UIFrameFadeOut(ObjectiveTrackerFrame, 0.50, 1.0, 0)
end

local function CheckMouseOver(self)
	FrameName = GetMouseFocus():GetName()
	if FrameName == "ObjectiveTrackerBlocksFrameHeader" then
		DVOTAlphaTimer = C_Timer.NewTimer(0.5, CheckMouseOver)
	else
		DVOTAlphaTimer = C_Timer.NewTimer(5.0, delayHideDVBB)
	end
end

local function QuestFade(self)
	DVOTAlphaTimer = C_Timer.NewTimer(5.0, delayHideDVBB)
end

DQTFrame:SetScript("OnEvent", function(self, event, arg1)
	showDVBB()
	QuestFade()
end)

	ObjectiveTrackerBlocksFrame:SetScript("OnEnter", showDVBB)
	ObjectiveTrackerBlocksFrame:SetScript("OnLeave", CheckMouseOver)